import { INativeResponse, ModuleBase } from '../native';
export interface IReactNativeParams {
    bundle: string;
    module: string;
    openType?: number;
    data?: any;
    bgColor?: number;
    statusBar?: boolean;
    statusBarStyle?: string;
    navBar?: boolean;
    bottomBar?: boolean;
}
export interface IOpenGameParams {
    gameid: string;
    data?: any;
}
export interface IShareInfo {
    title: string;
    message: string;
    url: string;
    thumbImageUrl: string;
}
export interface IVideoInfo {
    url: string;
}
export interface ISelectAlbum {
    cvsid: string;
    cvstype: string;
}
export declare class AppModule extends ModuleBase {
    getAppUA(): Promise<INativeResponse>;
    getAppUASync(): string;
    getNetwork(): Promise<INativeResponse>;
    getNetworkSync(): any;
    scan(data?: any): Promise<INativeResponse>;
    getUserInfo(): Promise<INativeResponse>;
    getStepNum(): Promise<INativeResponse>;
    openSelectUser(users: any): Promise<INativeResponse>;
    openReactNative(params: IReactNativeParams): Promise<INativeResponse>;
    openGame(params: IOpenGameParams): Promise<INativeResponse>;
    openScheme(url: string): Promise<INativeResponse>;
    openGameWhenCreateGroup(params: IOpenGameParams): Promise<INativeResponse>;
    openSelectPoi(geo?: {
        lng: number;
        lat: number;
    }): Promise<INativeResponse>;
    openSelectPhoto(): Promise<INativeResponse>;
    openSelectAlbum(params: any): Promise<INativeResponse>;
    createGroup(gameid: string): Promise<INativeResponse>;
    getUserProfile(uid: string): Promise<INativeResponse>;
    getGroupProfile(gid: string): Promise<INativeResponse>;
    share(params: any | IShareInfo): Promise<INativeResponse>;
    openForward(params?: any): Promise<INativeResponse>;
    playVideo(params: string | any | IVideoInfo): Promise<INativeResponse>;
    showAddFriendPanel(data?: any): Promise<INativeResponse>;
    checkUpdate(data?: any): Promise<INativeResponse>;
}
export declare const App: AppModule;
