"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var native_1 = require("../native");
var AppModule = (function (_super) {
    __extends(AppModule, _super);
    function AppModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AppModule.prototype.getAppUA = function () {
        return this.native.callNativeFlat('App', 'getAppUA');
    };
    AppModule.prototype.getAppUASync = function () {
        return this.native.callNativeSync('App', 'getAppUASync');
    };
    AppModule.prototype.getNetwork = function () {
        return this.native.callNativeFlat('App', 'getNetwork');
    };
    AppModule.prototype.getNetworkSync = function () {
        return this.native.callNativeSync('App', 'getNetworkSync');
    };
    AppModule.prototype.scan = function (data) {
        if (data === void 0) { data = {}; }
        return this.native.callNativeFlat('App', 'scan', data);
    };
    AppModule.prototype.getUserInfo = function () {
        return this.native.callNativeFlat('App', 'getUserInfo');
    };
    AppModule.prototype.getStepNum = function () {
        return this.native.callNativeFlat('App', 'getStepNum');
    };
    AppModule.prototype.openSelectUser = function (users) {
        return this.native.callNativeFlat('App', 'openSelectUser', { users: users });
    };
    AppModule.prototype.openReactNative = function (params) {
        return this.native.callNativeFlat('App', 'openReactNative', params);
    };
    AppModule.prototype.openGame = function (params) {
        return this.native.callNativeFlat('App', 'openGame', params);
    };
    AppModule.prototype.openScheme = function (url) {
        return this.native.callNativeFlat('App', 'openScheme', { url: url });
    };
    AppModule.prototype.openGameWhenCreateGroup = function (params) {
        return this.native.callNativeFlat('App', 'openGameWhenCreateGroup', params);
    };
    AppModule.prototype.openSelectPoi = function (geo) {
        return this.native.callNativeFlat('App', 'openSelectPoi', {
            geo: geo,
        });
    };
    AppModule.prototype.openSelectPhoto = function () {
        return this.native.callNativeFlat('App', 'openSelectPhoto');
    };
    AppModule.prototype.openSelectAlbum = function (params) {
        return this.native.callNativeFlat('App', 'openSelectAlbum', params);
    };
    AppModule.prototype.createGroup = function (gameid) {
        return this.native.callNativeFlat('App', 'createGroup', { gameid: gameid });
    };
    AppModule.prototype.getUserProfile = function (uid) {
        return this.native.callNativeFlat('App', 'getUserProfileByUid', { uid: uid });
    };
    AppModule.prototype.getGroupProfile = function (gid) {
        return this.native.callNativeFlat('App', 'getGroupProfileByGid', { gid: gid });
    };
    AppModule.prototype.share = function (params) {
        return this.native.callNativeFlat('App', 'share', params);
    };
    AppModule.prototype.openForward = function (params) {
        if (params === void 0) { params = {}; }
        return this.native.callNativeFlat('App', 'openForward', params);
    };
    AppModule.prototype.playVideo = function (params) {
        if (typeof params === 'string') {
            params = { url: params };
        }
        return this.native.callNativeFlat('App', 'playVideo', params);
    };
    AppModule.prototype.showAddFriendPanel = function (data) {
        if (data === void 0) { data = {}; }
        return this.native.callNativeFlat('App', 'showAddFriendPanel', data);
    };
    AppModule.prototype.checkUpdate = function (data) {
        if (data === void 0) { data = {}; }
        return this.native.callNativeFlat('App', 'checkUpdate', data);
    };
    return AppModule;
}(native_1.ModuleBase));
exports.AppModule = AppModule;
exports.App = new AppModule();
native_1.addJSModule('App', exports.App);
