import { INativeResponse, ModuleBase } from '../native';
export interface INavigatorBtn {
    title: string;
    name: string;
    icon?: string;
}
export interface INavigator {
    id: string;
    page_name: string;
    type?: string;
    data: object;
}
export declare class PageModule extends ModuleBase {
    getData(key: string): Promise<INativeResponse>;
    close(alive?: boolean): void;
    /**
     * @type 'preset' | 'push'，默认'push' 从一侧打开
    */
    navigateTo(params: INavigator): void;
    navigateForward(params: INavigator, cb?: (result: any) => void): void;
    setResult(data: object): void;
    ready(): void;
    navBtn(buttons: INavigatorBtn[]): Promise<INativeResponse>;
}
export declare const Page: PageModule;
