"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var native_1 = require("../native");
var PageModule = (function (_super) {
    __extends(PageModule, _super);
    function PageModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PageModule.prototype.getData = function (key) {
        return this.native.callNative({
            module: "Page",
            method: "getData",
            args: key
        });
    };
    PageModule.prototype.close = function (alive) {
        if (alive === void 0) { alive = true; }
        this.native.callNative({
            module: "Page",
            method: "close",
            args: { keep_alive: alive }
        });
    };
    /**
     * @type 'preset' | 'push'，默认'push' 从一侧打开
    */
    PageModule.prototype.navigateTo = function (params) {
        this.native.callNative({
            module: "Page",
            method: "navigateTo",
            args: params
        });
    };
    PageModule.prototype.navigateForward = function (params, cb) {
        if (cb) {
            this.once('page.result', cb);
        }
        this.native.callNativeFlat("Page", "navigateTo", params);
    };
    // 通过参数传过来一个对象，该对象会被返回到page.result事件的回调上函数上
    PageModule.prototype.setResult = function (data) {
        this.native.callNativeFlat("Page", "setResult", data);
    };
    PageModule.prototype.ready = function () {
        this.native.callNative({
            module: "Page",
            method: "ready",
            args: {}
        });
    };
    PageModule.prototype.navBtn = function (buttons) {
        return this.native.callNative({
            module: "Page",
            method: "navBtn",
            args: buttons
        });
    };
    return PageModule;
}(native_1.ModuleBase));
exports.PageModule = PageModule;
exports.Page = new PageModule();
native_1.addJSModule("Page", exports.Page);
