import { INativeResponse, ModuleBase } from '../native';
export interface IToastParams {
    message: string;
    x?: number;
    y?: number;
}
export interface IAlertParams {
    message: string;
    button?: string;
    title?: string;
}
export interface IConfirmParams {
    message: string;
    left?: string;
    right?: string;
    title?: string;
}
export declare class UIModule extends ModuleBase {
    toast(params: IToastParams | string): Promise<INativeResponse>;
    alert(message: string | IAlertParams): Promise<INativeResponse>;
    confirm(message: string | IConfirmParams): Promise<INativeResponse>;
    input(maxLength?: number): Promise<INativeResponse>;
    showLoading(title: string): void;
    hideLoading(): void;
}
export declare const UI: UIModule;
