"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var native_1 = require("../native");
var UIModule = (function (_super) {
    __extends(UIModule, _super);
    function UIModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    UIModule.prototype.toast = function (params) {
        if (typeof params === 'string') {
            params = { message: params };
        }
        return this.native.callNativeFlat('UI', 'toast', params);
    };
    UIModule.prototype.alert = function (message) {
        if (typeof message === 'string') {
            return this.native.callNativeFlat('UI', 'alert', { message: message });
        }
        else {
            return this.native.callNativeFlat('UI', 'alert', message);
        }
    };
    UIModule.prototype.confirm = function (message) {
        if (typeof message === 'string') {
            return this.native.callNativeFlat('UI', 'confirm', { message: message });
        }
        else {
            return this.native.callNativeFlat('UI', 'confirm', message);
        }
    };
    UIModule.prototype.input = function (maxLength) {
        if (maxLength === void 0) { maxLength = 16; }
        return this.native.callNativeFlat('UI', 'input', { maxLength: maxLength });
    };
    UIModule.prototype.showLoading = function (title) {
        this.native.callNativeFlat('UI', 'showLoading', { title: title });
    };
    UIModule.prototype.hideLoading = function () {
        this.native.callNativeFlat('UI', 'hideLoading');
    };
    return UIModule;
}(native_1.ModuleBase));
exports.UIModule = UIModule;
exports.UI = new UIModule();
native_1.addJSModule('UI', exports.UI);
